Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.ext.webservice
Class TCPIPEXTWSServerApplicationImpl

    java.lang.Object
      com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl
          com.stc.connector.tcpip.ext.webservice.TCPIPEXTWSClientApplicationImpl
              com.stc.connector.tcpip.ext.webservice.TCPIPEXTWSServerApplicationImpl

    public class TCPIPEXTWSServerApplicationImpl

extends TCPIPEXTWSClientApplicationImpl

This class implements the extended TCP/IP server web-services operations.

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:34:04 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl
`application, message`

Constructor Summary
`TCPIPEXTWSServerApplicationImpl()` Default constructor.

Method Summary
`java.lang.Object` | `acceptConnection(java.lang.Object container)`
`protected java.lang.Object` | `commonComein(java.lang.Object container)` Method commonReturn.
`protected java.lang.Object` | `commonReturn(java.lang.Object container)` Method commonReturn.

Methods inherited from class com.stc.connector.tcpip.ext.webservice.TCPIPEXTWSClientApplicationImpl
`receiveEnvelopedMsg, sendEnvelopedMsg`

Methods inherited from class com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl
`closeConnection, commonFault, receive, receiveBytes, receiveString, requestConnection, sendBytes, sendString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPEXTWSServerApplicationImpl

    public TCPIPEXTWSServerApplicationImpl()

  Default constructor.

Method Detail

### acceptConnection

    public java.lang.Object acceptConnection(java.lang.Object container)
                                      throws TCPIPWSException

  Parameters:
    `container` -
  Returns:
  Throws:
    `TCPIPWSException`

### commonComein

    protected java.lang.Object commonComein(java.lang.Object container)
                                     throws TCPIPWSException

  Description copied from class: `TCPIPWSClientApplicationImpl`
  Method commonReturn.

  Overrides:
    `commonComein` in class `TCPIPEXTWSClientApplicationImpl`
  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException`
  See Also:
    `TCPIPWSClientApplicationImpl.commonComein(java.lang.Object)`

### commonReturn

    protected java.lang.Object commonReturn(java.lang.Object container)
                                     throws TCPIPWSException

  Description copied from class: `TCPIPWSClientApplicationImpl`
  Method commonReturn.

  Overrides:
    `commonReturn` in class `TCPIPWSClientApplicationImpl`
  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException` - on error
  See Also:
    `TCPIPWSClientApplicationImpl.commonReturn(java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD